Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1252074 - ocaml-biniou test_biniou fails on ppc64/ppc64le
Summary: ocaml-biniou test_biniou fails on ppc64/ppc64le
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml-biniou
Version: 22
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1255135
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-08-10 16:13 UTC by Rafael Fonseca
Modified: 2016-07-19 17:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 17:27:36 UTC


Attachments (Terms of Use)

Description Rafael Fonseca 2015-08-10 16:13:54 UTC
Description of problem: test_biniou fails on ppc64 and ppc64le.


Version-Release number of selected component (if applicable): 1.0.9


How reproducible: run 'make test' on a ppc64 or ppc64le guest.


Actual results: test fails with

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.StWRl9
+ umask 022
+ cd /builddir/build/BUILD
+ cd biniou-1.0.9
+ make test
ocamlfind ocamlopt -g -o test_biniou -dtypes -g \
	-package "easy-format unix" -linkpkg \
	biniou.cmxa test_biniou.ml
./test_biniou
Fatal error: exception File "bi_io.ml", line 264, characters 4-10: Assertion failed
Makefile:24: recipe for target 'test' failed
make: *** [test] Error 2


Additional info: issue reported upstream https://github.com/mjambon/biniou/issues/13

Comment 1 Rafael Fonseca 2015-08-18 22:31:04 UTC
It looks like the problem is actually in the ocaml compiler for PPC. The bug was reported upstream [1].

[1] http://caml.inria.fr/mantis/view.php?id=6963

Comment 2 Richard W.M. Jones 2015-08-20 13:58:19 UTC
The resolution for this is going to involve switching Fedora over
to use the new (nearly-)upstream combined ppc code generator
(https://github.com/ocaml/ocaml/pull/225).  That's something for
next week however.

Comment 3 Fedora End Of Life 2016-07-19 17:27:36 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.